
import { defineStore } from 'pinia';
import { store } from '@/store';

import {getSelectInfoApi} from "@/api/base/data";


export const useFormBaseData = defineStore({
  id: 'form-base-data',
  state: () => ({
    baseData:{}
  }),
  getters: {
    getFormBaseData(state) {
      return state.baseData  || {};
    },
  },
  actions: {
    /**
     * @description: logout
     */
    async getSelectInfoAction () {
      try {
        let res = await getSelectInfoApi({})
        Logger.log('getSelectInfoApi...',res);
        this.baseData = res?.data || {};
      } catch (e) {
        Logger.error(e);
      } finally {
      }
    },

  },
});

// Need to be used outside the setup
export function useFormBaseDataWithOut() {
  return useFormBaseData(store);
}
